//---------------------------------------------------------------------------
//
// Name:        mfr_serial_sampleDlg.h
// Author:      Peter Zimmermann
// Created:     08.01.2008 02:25:32
// Description: mfr_serial_sampleDlg class declaration
//
//---------------------------------------------------------------------------

#ifndef __MFR_SERIAL_SAMPLEDLG_h__
#define __MFR_SERIAL_SAMPLEDLG_h__

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/dialog.h>
#else
	#include <wx/wxprec.h>
#endif

//Do not add custom headers
//wxDev-C++ designer will remove them
////Header Include Start
#include <wx/textctrl.h>
#include <wx/statline.h>
#include <wx/checkbox.h>
#include <wx/stattext.h>
#include <wx/spinctrl.h>
#include <wx/button.h>
////Header Include End

////Dialog Style Start
#undef mfr_serial_sampleDlg_STYLE
#define mfr_serial_sampleDlg_STYLE wxCAPTION | wxSYSTEM_MENU | wxDIALOG_NO_PARENT | wxCLOSE_BOX
////Dialog Style End

class mfr_serial_sampleDlg : public wxDialog
{
	private:
		DECLARE_EVENT_TABLE();
		
	public:
		mfr_serial_sampleDlg(wxWindow *parent, wxWindowID id = 1, const wxString &title = wxT("mfr_serial_sample"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = mfr_serial_sampleDlg_STYLE);
		virtual ~mfr_serial_sampleDlg();
		void btnOutbitClick(wxCommandEvent& event);
		void btnOutbitClick1(wxCommandEvent& event);
		void btnConnClick(wxCommandEvent& event);
		void btnOutByteClick(wxCommandEvent& event);
		void btnInByteClick(wxCommandEvent& event);
	
	private:
		//Do not add custom control declarations
		//wxDev-C++ will remove them. Add custom code after the block.
		////GUI Control Declaration Start
		wxCheckBox *cbI;
		wxTextCtrl *edRead;
		wxButton *btnInByte;
		wxStaticLine *WxStaticLine2;
		wxButton *btnOutByte;
		wxCheckBox *cbB0;
		wxCheckBox *cbB1;
		wxCheckBox *cbB2;
		wxStaticLine *WxStaticLine1;
		wxStaticText *WxStaticText1;
		wxCheckBox *cbB3;
		wxCheckBox *cbB4;
		wxCheckBox *cbB5;
		wxCheckBox *cbB6;
		wxCheckBox *cbB7;
		wxStaticText *lblComStat;
		wxButton *btnConn;
		wxStaticText *WxStaticText2;
		wxSpinCtrl *sePort;
		wxSpinCtrl *se;
		wxButton *btnOutbit;
		////GUI Control Declaration End
		
	private:
		//Note: if you receive any error with these enum IDs, then you need to
		//change your old form code that are based on the #define control IDs.
		//#defines may replace a numeric value for the enum names.
		//Try copy and pasting the below block in your old form header files.
		enum
		{
			////GUI Enum Control ID Start
			ID_CBI = 1031,
			ID_EDREAD = 1029,
			ID_BTNINBYTE = 1028,
			ID_WXSTATICLINE2 = 1027,
			ID_BTNOUTBYTE = 1024,
			ID_CBB0 = 1023,
			ID_CBB1 = 1022,
			ID_CBB2 = 1021,
			ID_WXSTATICLINE1 = 1020,
			ID_WXSTATICTEXT1 = 1018,
			ID_CBB3 = 1014,
			ID_CBB4 = 1013,
			ID_CBB5 = 1012,
			ID_CBB6 = 1011,
			ID_CBB7 = 1009,
			ID_LBLCOMSTAT = 1008,
			ID_BTNCONN = 1007,
			ID_WXSTATICTEXT2 = 1006,
			ID_SEPORT = 1005,
			ID_SE = 1004,
			ID_BTNOUTBIT = 1003,
			////GUI Enum Control ID End
			ID_DUMMY_VALUE_ //don't remove this value unless you have other enum values
		};
	
	private:
		void OnClose(wxCloseEvent& event);
		void CreateGUIControls();
};

#endif
